Index: ps/powerpc/mpc55xxevb/config/mpc5566evb_spe-testsuite.tcfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5566evb_spe-testsuite.tcfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,7 +1,0 @@
-#
-# mpc5566evb_spe RTEMS Test Database.
-#
-# Format is one line per test that is _NOT_ built.
-#
-
-include: testdata/small-memory-testsuite.tcfg
Index: ps/powerpc/mpc55xxevb/config/mpc5566evb_spe.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5566evb_spe.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: bsps/powerpc/mpc55xxevb/config/mpc55xx.inc
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc55xx.inc	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ bsps/powerpc/mpc55xxevb/config/mpc55xx.inc	(revision 70b803b5549016ab1ca12816e862217b8198e449)
@@ -12,8 +12,5 @@
 RTEMS_CPU = powerpc
 
-CPU_CFLAGS_FLOAT ?= -msoft-float -mno-spe
-
-# FIXME
-CPU_CFLAGS = -mcpu=8540 -meabi -msdata=sysv -fno-common $(CPU_CFLAGS_FLOAT) \
+CPU_CFLAGS = -mcpu=8540 -msoft-float -meabi -msdata=sysv -fno-common \
     -mstrict-align
 
Index: ps/powerpc/mpc55xxevb/config/mpc55xx_spe.inc
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc55xx_spe.inc	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,3 +1,0 @@
-CPU_CFLAGS_FLOAT ?= -mspe -mabi=spe -mfloat-gprs=single
-
-include $(RTEMS_ROOT)/make/custom/mpc55xx.inc
Index: ps/powerpc/mpc55xxevb/config/mpc5643l_dpu-testsuite.tcfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5643l_dpu-testsuite.tcfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#
-# mpc5643l_dpu RTEMS Test Database.
-#
-# Format is one line per test that is _NOT_ built.
-#
-
-include: testdata/small-memory-testsuite.tcfg
-
-exclude: fileio
-exclude: mghttpd01
-exclude: pppd
-# psxaio02 when debug
-exclude: psxaio02
Index: ps/powerpc/mpc55xxevb/config/mpc5643l_dpu.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5643l_dpu.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,10 +1,0 @@
-##
-#
-# @file
-#
-# @ingroup mpc55xx_config
-#
-# @brief Configuration file for MPC5643L Data Processing Unit board.
-#
-
-include $(RTEMS_ROOT)/make/custom/mpc55xx.inc
Index: ps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_app-testsuite.tcfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_app-testsuite.tcfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#
-# This is the set of tests which are known to not link on this BSP
-#
-
-include: testdata/small-memory-testsuite.tcfg
Index: ps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_app.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_app.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: ps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_boot-testsuite.tcfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_boot-testsuite.tcfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#
-# mpc5674f_ecu508_boot RTEMS Test Database.
-#
-
-include: testdata/small-memory-testsuite.tcfg
Index: ps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_boot.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674f_ecu508_boot.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: ps/powerpc/mpc55xxevb/config/mpc5674f_rsm6-testsuite.tcfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674f_rsm6-testsuite.tcfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#
-# mpc5674f_rsm6 RTEMS Test Database.
-#
-
-include: testdata/small-memory-testsuite.tcfg
Index: ps/powerpc/mpc55xxevb/config/mpc5674f_rsm6.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674f_rsm6.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: ps/powerpc/mpc55xxevb/config/mpc5674fevb_spe-testsuite.tcfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674fevb_spe-testsuite.tcfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#
-# This is the set of tests which are known to not link on this BSP
-#
-
-include: testdata/small-memory-testsuite.tcfg
Index: ps/powerpc/mpc55xxevb/config/mpc5674fevb_spe.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/mpc5674fevb_spe.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: bsps/powerpc/mpc55xxevb/config/phycore_mpc5554.cfg
===================================================================
--- bsps/powerpc/mpc55xxevb/config/phycore_mpc5554.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ bsps/powerpc/mpc55xxevb/config/phycore_mpc5554.cfg	(revision 70b803b5549016ab1ca12816e862217b8198e449)
@@ -1,1 +1,1 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
+include $(RTEMS_ROOT)/make/custom/mpc55xx.inc
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5566evb_spe
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5566evb_spe	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-INCLUDE linkcmds.mpc5566evb
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5643l_dpu
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5643l_dpu	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-INCLUDE linkcmds.mpc5643l_evb
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,51 +1,0 @@
-MEMORY {
-	DSROM : ORIGIN = 0x00020000, LENGTH = 64k
-	SYSROM : ORIGIN = 0x00100000, LENGTH = 4k
-	RAM : ORIGIN = 0x40000000, LENGTH = 240k
-	NOCACHE : ORIGIN = 0x4003c000, LENGTH = 16k
-	DSRAM : ORIGIN = 0x20000000, LENGTH = 64k
-	RAM_EXT : ORIGIN = 0x20010000, LENGTH = 444k
-	SYSRAM : ORIGIN = 0x2007f000, LENGTH = 4k
-	NVRAM : ORIGIN = 0x3ffa0000, LENGTH = 128k
-}
-
-REGION_ALIAS ("REGION_START", STARTROM);
-REGION_ALIAS ("REGION_FAST_TEXT", RAM);
-REGION_ALIAS ("REGION_FAST_TEXT_LOAD", ROM);
-REGION_ALIAS ("REGION_TEXT", ROM);
-REGION_ALIAS ("REGION_TEXT_LOAD", ROM);
-REGION_ALIAS ("REGION_RODATA", ROM);
-REGION_ALIAS ("REGION_RODATA_LOAD", ROM);
-REGION_ALIAS ("REGION_FAST_DATA", RAM);
-REGION_ALIAS ("REGION_FAST_DATA_LOAD", ROM);
-REGION_ALIAS ("REGION_DATA", RAM);
-REGION_ALIAS ("REGION_DATA_LOAD", ROM);
-REGION_ALIAS ("REGION_BSS", RAM);
-REGION_ALIAS ("REGION_RTEMSSTACK", RAM_EXT);
-REGION_ALIAS ("REGION_WORK", RAM);
-REGION_ALIAS ("REGION_STACK", RAM);
-REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
-REGION_ALIAS ("REGION_NOCACHE_LOAD", ROM);
-REGION_ALIAS ("REGION_NVRAM", NVRAM);
-
-SECTIONS {
-	.dsram (NOLOAD) : {
-		bsp_section_dsram_begin = .;
-		*(SORT(.bsp_dsram*))
-		bsp_section_dsram_end = .;
-	} > DSRAM AT > DSROM
-	bsp_section_dsram_size = bsp_section_dsram_end - bsp_section_dsram_begin;
-	bsp_section_dsram_load_begin = LOADADDR (.dsram);
-	bsp_section_dsram_load_end = bsp_section_dsram_load_begin + bsp_section_dsram_size;
-
-	.sysram : {
-		bsp_section_sysram_begin = .;
-		*(SORT(.bsp_sysram*))
-		bsp_section_sysram_end = .;
-	} > SYSRAM AT > SYSROM
-	bsp_section_sysram_size = bsp_section_sysram_end - bsp_section_sysram_begin;
-	bsp_section_sysram_load_begin = LOADADDR (.sysram);
-	bsp_section_sysram_load_end = bsp_section_sysram_load_begin + bsp_section_sysram_size;
-}
-
-INCLUDE linkcmds.mpc55xx
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508_app
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508_app	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,8 +1,0 @@
-MEMORY {
-	/* Let space for the binary image library header */
-	ROM : ORIGIN = 0x00101000, LENGTH = 3064k
-}
-
-REGION_ALIAS ("STARTROM", ROM);
-
-INCLUDE linkcmds.mpc5674f_ecu508
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508_boot
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508_boot	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,6 +1,0 @@
-MEMORY {
-	STARTROM : ORIGIN = 0x0, LENGTH = 32k
-	ROM : ORIGIN = 0x40000, LENGTH = 768k
-}
-
-INCLUDE linkcmds.mpc5674f_ecu508
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_rsm6
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_rsm6	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,6 +1,0 @@
-MEMORY {
-	STARTROM : ORIGIN = 0x0, LENGTH = 32k
-	ROM : ORIGIN = 0x40000, LENGTH = 768k
-}
-
-INCLUDE linkcmds.mpc5674f_rsm6_base
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_rsm6_base
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_rsm6_base	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,28 +1,0 @@
-MEMORY {
-	RAM : ORIGIN = 0x40000000, LENGTH = 240k
-	NOCACHE : ORIGIN = 0x4003c000, LENGTH = 16k
-	MRAM : ORIGIN = 0x20000000, LENGTH = 4M
-}
-
-REGION_ALIAS ("RAM_EXT", RAM);
-
-REGION_ALIAS ("REGION_START", STARTROM);
-REGION_ALIAS ("REGION_FAST_TEXT", RAM);
-REGION_ALIAS ("REGION_FAST_TEXT_LOAD", ROM);
-REGION_ALIAS ("REGION_TEXT", ROM);
-REGION_ALIAS ("REGION_TEXT_LOAD", ROM);
-REGION_ALIAS ("REGION_RODATA", ROM);
-REGION_ALIAS ("REGION_RODATA_LOAD", ROM);
-REGION_ALIAS ("REGION_FAST_DATA", RAM);
-REGION_ALIAS ("REGION_FAST_DATA_LOAD", ROM);
-REGION_ALIAS ("REGION_DATA", RAM);
-REGION_ALIAS ("REGION_DATA_LOAD", ROM);
-REGION_ALIAS ("REGION_BSS", RAM);
-REGION_ALIAS ("REGION_RTEMSSTACK", RAM);
-REGION_ALIAS ("REGION_WORK", RAM);
-REGION_ALIAS ("REGION_STACK", RAM);
-REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
-REGION_ALIAS ("REGION_NOCACHE_LOAD", ROM);
-REGION_ALIAS ("REGION_NVRAM", MRAM);
-
-INCLUDE linkcmds.mpc55xx
Index: ps/powerpc/mpc55xxevb/start/linkcmds.mpc5674fevb_spe
===================================================================
--- bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674fevb_spe	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-INCLUDE linkcmds.mpc5674fevb
Index: bsps/powerpc/qoriq/config/qoriq.inc
===================================================================
--- bsps/powerpc/qoriq/config/qoriq.inc	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ bsps/powerpc/qoriq/config/qoriq.inc	(revision 70b803b5549016ab1ca12816e862217b8198e449)
@@ -7,6 +7,5 @@
 RTEMS_CPU = powerpc
 
-CPU_CFLAGS = -mcpu=8540 -meabi -msdata=sysv -fno-common -mstrict-align \
-	-mspe -mabi=spe -mfloat-gprs=double
+CPU_CFLAGS = -mcpu=8540 -msoft-float -meabi -msdata=sysv -fno-common -mstrict-align
 
 CFLAGS_OPTIMIZE_V = -O2 -g
Index: bsps/powerpc/t32mppc/config/t32mppc.cfg
===================================================================
--- bsps/powerpc/t32mppc/config/t32mppc.cfg	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ bsps/powerpc/t32mppc/config/t32mppc.cfg	(revision 70b803b5549016ab1ca12816e862217b8198e449)
@@ -3,5 +3,5 @@
 RTEMS_CPU = powerpc
 
-CPU_CFLAGS = -mcpu=8540 -meabi -msdata=sysv -fno-common -msoft-float -mno-spe
+CPU_CFLAGS = -mcpu=8540 -msoft-float -meabi -msdata=sysv -fno-common
 
 CFLAGS_OPTIMIZE_V = -Og -g
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 69690f60b495ccd6cd18f1a2f82c77acb08f45a4)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 70b803b5549016ab1ca12816e862217b8198e449)
@@ -23,16 +23,8 @@
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.gwlcfm
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5566evb
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5566evb_spe
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc55xx
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5643l_dpu
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5643l_evb
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5668g
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508_app
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_ecu508_boot
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674fevb
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674fevb_spe
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_rsm6
-dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.mpc5674f_rsm6_base
 dist_project_lib_DATA += ../../../../../../bsps/powerpc/mpc55xxevb/start/linkcmds.phycore_mpc5554
 
